Bug 587495 - evince fails to open files with '#' in name
evince fails to open files with '#' in name
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-04-29 23:59 EDT by James Cassell
Modified: 2010-07-01 14:43 EDT (History)
6 users (show)

See Also:
Fixed In Version: evince-2.30.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-07-01 14:43:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Cassell 2010-04-29 23:59:39 EDT
Description of problem:
Evince gives the following error when trying to open a file with a '#' in its name.  this happens both when opening it via double-clicking in nautilus, and when passing the filename as a parameter from the command line.  It opens fine if I do a file->open from evince itself.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rename a PDF so that it has the character '#' in its name
2. try to open it in evince, via double-clicking in nautilus or from the command line
3. see the below error
Actual results:
[james@localhost Download]$ evince A#21.pdf 

** (evince:5408): WARNING **: Error stating file '/home/james/Download/A': No such file or directory

** (evince:5408): WARNING **: Error setting file metadata: No such file or directory

Expected results:
file should open correctly

Additional info:
within the graphical window that comes up, it has the following error:
Unable to open document
Error opening file: No such file or directory
Comment 1 John Chivall 2010-06-09 10:04:41 EDT
Confirmed with evince-2.30.1-2.fc13.x86_64. This is a regression since F12

$ evince #000047-Ardmay-09-06-10.pdf

starts Evince which displays an error:

"Unable to open document
Can't open directory"

(I get no errors output to the terminal)

This happens when double clicking on the file as well, but using File->Open within Evince loads and displays the document with no errors.

PDF thumbnails are shown in Nautilus for files with '#' in the name.
Comment 2 Jonathan Steffan 2010-06-10 11:26:28 EDT
I have also ran into this issue.
Comment 3 scott mcmahan 2010-06-18 13:29:16 EDT
This started happening with me after upgrading to Fedora 13. Evince will not open files with a # in the filename, which is a valid character. (Does this have something to do with parsing URLs with # in them?) This bug cripples Evince when dealing with a group of numbered PDFs (#001 ... #999 etc), particularly for me because I have many read-only archives of old PDFs that I do not want to change. No version of Evince before Fedora 13 has had this problem.
Comment 4 Marek Kašík 2010-06-23 03:47:10 EDT

this problem is fixed in new stable release of evince. Its version is evince-2.30.2-1.fc13.


Comment 5 Fedora Update System 2010-06-25 05:56:28 EDT
evince-2.30.3-1.fc13 has been submitted as an update for Fedora 13.
Comment 6 Fedora Update System 2010-06-25 14:21:12 EDT
evince-2.30.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evince'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/evince-2.30.3-1.fc13
Comment 7 scott mcmahan 2010-06-26 16:15:25 EDT
I installed evince-2.30.3-1.fc13.x86_64 and the problem is fixed - files with a # in the filename open like they used to.
Comment 8 James Laska 2010-06-30 10:35:05 EDT
Scott, thanks for the feedback.  Setting to VERIFIED based on your feedback.
Comment 9 Fedora Update System 2010-07-01 14:43:26 EDT
evince-2.30.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.